Bug 332901 - Unable to change amount of memory allocated to a guest
Unable to change amount of memory allocated to a guest
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-15 13:48 EDT by David Aquilina
Modified: 2014-06-23 20:14 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-03 16:45:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Aquilina 2007-10-15 13:48:28 EDT
Description of problem:

Once a guest has been created (either accelerated via KVM or not, doesn't seem
to make a difference) I'm unable to change the amount of memory allocated to it
with virt-manager

Version-Release number of selected component (if applicable):

$ rpm -qa | grep virt
libvirt-0.3.3-1.fc8
python-virtinst-0.300.1-1.fc8
virt-manager-0.5.2-1.fc8
virt-viewer-0.0.2-1.fc8
libvirt-python-0.3.3-1.fc8

$ uname -a
Linux dalek 2.6.23-5.fc8 #1 SMP Wed Oct 10 19:25:16 EDT 2007 x86_64 x86_64
x86_64 GNU/Linux

How reproducible:

always

Steps to Reproduce:
1. Install a guest
2. Go into the details screen for that guest 
3. Attempt to change memory allocation, click 'Apply'
  
Actual results:

Nothing happens - the numbers in the details screen changes, but what's reported
in virt-manager stays the same and the guest comes up with the old amount of memory

Expected results:

Able to change amount of memory

Additional info:

I've attempted making changes while the guests have been shut off. It doesn't
seem to make a difference between "regular" QEMU guests and those accelerated
with KVM. 

I've not tried Xen guests.
Comment 1 Michel Alexandre Salim 2008-02-26 06:33:03 EST
We really should push a virt-manager update .. on other F-8 bugs, I've 
suggeseted rebuilding the Rawhide virt-manager package and that seems to work.
Comment 2 Cole Robinson 2008-09-03 16:45:59 EDT
There were a couple problems here, 

1) libvirt didn't support memory options and qemu/kvm 
2) virt-manager wasn't properly reporting this error

They should both be fixed in current f8 and f9, but only for an inactive guest (I assume that is what was implied) so closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.